##############################################################################
#
# Copyright (c) 2003 gocept gmbh & co. kg. All rights reserved.
#
# See also LICENSE.txt
#
##############################################################################
"""CMF link checker tool initalisation code

$Id: __init__.py,v 1.4 2004/03/04 21:14:56 ctheune Exp $"""

# Zope imports
from Products.CMFCore import utils as CMFutils
from Products.CMFCore import DirectoryView

# Linkchecker imports
import LinkCheckerTool

linkchecker_globals = globals()

tools = (LinkCheckerTool.LinkCheckerTool, )

# Register skin directories
DirectoryView.registerDirectory('skins', linkchecker_globals)


def initialize(context):
    CMFutils.ToolInit('CMFLinkChecker Tool', tools=tools,
                product_name='CMFLinkChecker', icon="tool.png").initialize(context)

from AccessControl import ModuleSecurityInfo
ModuleSecurityInfo("Products.CMFLinkChecker.shorturls").declarePublic("shortURL")
