##############################################################################
#
# Copyright (c) 2003 gocept gmbh & co. kg. All rights reserved.
#
# See also LICENSE.txt
#
##############################################################################
"""CMF link checker customized http connection. (yet unused)

$Id: httpclient.py,v 1.3 2004/01/15 16:07:50 ctheune Exp $"""

import socket
import httplib
import time

import timeout_socket

class TimeOut(Exception):
    pass


class myHTTPConnection(httplib.HTTPConnection):

    def __init__(self, host, port, timeout=10):
        httplib.HTTPConnection.__init__(self, host, port)
        self.timeout = timeout

    def connect(self):
        """Connect to the host and port specified in __init__."""
        msg = "getaddrinfo returns an empty list"
        for res in socket.getaddrinfo(self.host, self.port, 0,
                                      socket.SOCK_STREAM):
            af, socktype, proto, canonname, sa = res
            try:
                sock = socket.socket(af, socktype, proto)
                self.sock = timeout_socket.timeout_socket(sock=sock)
                if self.debuglevel > 0:
                    print "connect: (%s, %s)" % (self.host, self.port)
                self.sock.connect(sa)
            except socket.error, msg:
                if self.debuglevel > 0:
                    print 'connect fail:', (self.host, self.port)
                if self.sock:
                    self.sock.close()
                self.sock = None
                continue
            break
        if not self.sock:
            raise socket.error, msg



