##############################################################################
#
# Copyright (c) 2003 gocept gmbh & co. kg. All rights reserved.
#
# See also LICENSE.txt
#
##############################################################################
"""HTTP 1.1 status code definitions

$Id: httpcodes.py,v 1.2 2004/01/17 15:55:21 ctheune Exp $"""
    
http_codes = {
        100     :       ('green', 'Continue'),
        101     :       ('green', 'Switching Protocols'),

        200     :       ('green', 'OK'),
        201     :       ('green', 'Created'),
        202     :       ('green', 'Accepted'),
        203     :       ('green', 'Non-Authoritative Information'),
        204     :       ('green', 'No Content'),
        205     :       ('green', 'Reset Content'),
        206     :       ('green', 'Partial Content'),

        300     :       ('green', 'Multiple Choices'),
        301     :       ('green', 'Moved Permanently'),
        302     :       ('green', 'Found'),
        303     :       ('green', 'See Other'),
        304     :       ('green', 'Not Modified'),
        305     :       ('green', 'Use Proxy'),
        306     :       ('green', '(Unused)'),
        307     :       ('green', 'Temporary Redirect'),

        400     :       ('red', 'Bad Request'),
        401     :       ('green', 'Unauthorized'),
        402     :       ('red', 'Payment required'),
        403     :       ('red', 'Forbidden'),
        404     :       ('red', 'Not Found'),
        405     :       ('red', 'Method Not Allowed'),
        406     :       ('red', 'Not Acceptable'),
        407     :       ('red', 'Proxy Authentication Required'),
        408     :       ('red', 'Request Timeout'),
        409     :       ('red', 'Conflict'),
        410     :       ('red', 'Gone'),
        411     :       ('red', 'Length Required'),
        412     :       ('red', 'Precondition failed'),
        413     :       ('red', 'Request Entity Too Large'),
        414     :       ('red', 'Request-URI Too Long'),
        415     :       ('red', 'Unsupported Media Type'),
        416     :       ('red', 'Request Range Not Satisfiable'),
        417     :       ('red', 'Expectation Failed'),

        500     :       ('orange', 'Internal Server Error'),
        501     :       ('red', 'Not Implemented'),
        502     :       ('red', 'Bad Gateway'),
        503     :       ('orange', 'Service Unavailable'),
        504     :       ('orange', 'Gateway Timeout'),
        505     :       ('red', 'HTTP Version Not Supported')
        }
