# Copyright (c) 2004 gocept gmbh & co. kg
# See also LICENSE.txt
# $Id: test_normalizer.py,v 1.1 2004/07/01 06:52:36 ctheune Exp $

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

import unittest

from Testing import ZopeTestCase
ZopeTestCase.installProduct("CMFLinkChecker")

from Products.Archetypes.tests.common import *
from Products.Archetypes.tests.utils import *

from Products.Archetypes.tests.test_sitepolicy import makeContent
from Products.CMFCore.utils import getToolByName


class CMFLinkCheckerTest(ArcheSiteTestCase):

    def afterSetUp(self):
        ArcheSiteTestCase.afterSetUp(self)
        user = self.getManagerUser()
        newSecurityManager(None, user)

        portal = self.getPortal()
        qi = getToolByName(portal, 'portal_quickinstaller')
        qi.installProduct('CMFLinkChecker')

    #def test_normalization(self):
    #    return 
    #    self.failUnless("Not Implemented" == 1)


def test_suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(CMFLinkCheckerTest))
    return suite

def main():
    from hotshot import Profile
    p = Profile('paras.hotshot')
    unittest.TextTestRunner(verbosity=2).run(test_suite())

if __name__ == '__main__':
    try:
        # if we have hotshot just profile everyting.
        from hotshot import Profile
        p = Profile('editorsupport.hotshot')
        p.runcall(framework)
    except ImportError:
        framework()
else:
    # While framework.py provides its own test_suite()
    # method the testrunner utility does not.
    main()

